<?php
$tdataproductitem = array();
$tdataproductitem[".searchableFields"] = array();
$tdataproductitem[".ShortName"] = "productitem";
$tdataproductitem[".OwnerID"] = "";
$tdataproductitem[".OriginalTable"] = "productitem";


$tdataproductitem[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataproductitem[".originalPagesByType"] = $tdataproductitem[".pagesByType"];
$tdataproductitem[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataproductitem[".originalPages"] = $tdataproductitem[".pages"];
$tdataproductitem[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataproductitem[".originalDefaultPages"] = $tdataproductitem[".defaultPages"];

//	field labels
$fieldLabelsproductitem = array();
$fieldToolTipsproductitem = array();
$pageTitlesproductitem = array();
$placeHoldersproductitem = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsproductitem["English"] = array();
	$fieldToolTipsproductitem["English"] = array();
	$placeHoldersproductitem["English"] = array();
	$pageTitlesproductitem["English"] = array();
	$fieldLabelsproductitem["English"]["ProductID"] = "#";
	$fieldToolTipsproductitem["English"]["ProductID"] = "";
	$placeHoldersproductitem["English"]["ProductID"] = "";
	$fieldLabelsproductitem["English"]["CateID"] = "ລະຫັດປະເພດ";
	$fieldToolTipsproductitem["English"]["CateID"] = "";
	$placeHoldersproductitem["English"]["CateID"] = "";
	$fieldLabelsproductitem["English"]["Proname"] = "ຊື່ສີນຄ້າ";
	$fieldToolTipsproductitem["English"]["Proname"] = "";
	$placeHoldersproductitem["English"]["Proname"] = "";
	$fieldLabelsproductitem["English"]["Unitname"] = "ຫົວໜ່ວຍ";
	$fieldToolTipsproductitem["English"]["Unitname"] = "";
	$placeHoldersproductitem["English"]["Unitname"] = "";
	$fieldLabelsproductitem["English"]["Price"] = "ລາຄາ";
	$fieldToolTipsproductitem["English"]["Price"] = "";
	$placeHoldersproductitem["English"]["Price"] = "";
	$fieldLabelsproductitem["English"]["isuse"] = "ໃຊ້ງານ";
	$fieldToolTipsproductitem["English"]["isuse"] = "";
	$placeHoldersproductitem["English"]["isuse"] = "";
	if (count($fieldToolTipsproductitem["English"]))
		$tdataproductitem[".isUseToolTips"] = true;
}


	$tdataproductitem[".NCSearch"] = true;



$tdataproductitem[".shortTableName"] = "productitem";
$tdataproductitem[".nSecOptions"] = 0;

$tdataproductitem[".mainTableOwnerID"] = "";
$tdataproductitem[".entityType"] = 0;
$tdataproductitem[".connId"] = "eflejob_at_localhost";


$tdataproductitem[".strOriginalTableName"] = "productitem";

	



$tdataproductitem[".showAddInPopup"] = false;

$tdataproductitem[".showEditInPopup"] = false;

$tdataproductitem[".showViewInPopup"] = false;

	$tdataproductitem[".listAjax"] = true;
//	temporary
//$tdataproductitem[".listAjax"] = false;

	$tdataproductitem[".audit"] = false;

	$tdataproductitem[".locking"] = false;


$pages = $tdataproductitem[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataproductitem[".edit"] = true;
	$tdataproductitem[".afterEditAction"] = 1;
	$tdataproductitem[".closePopupAfterEdit"] = 1;
	$tdataproductitem[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataproductitem[".add"] = true;
$tdataproductitem[".afterAddAction"] = 1;
$tdataproductitem[".closePopupAfterAdd"] = 1;
$tdataproductitem[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataproductitem[".list"] = true;
}



$tdataproductitem[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataproductitem[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataproductitem[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataproductitem[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataproductitem[".printFriendly"] = true;
}



$tdataproductitem[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataproductitem[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataproductitem[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataproductitem[".isUseAjaxSuggest"] = true;



						

$tdataproductitem[".ajaxCodeSnippetAdded"] = false;

$tdataproductitem[".buttonsAdded"] = false;

$tdataproductitem[".addPageEvents"] = false;

// use timepicker for search panel
$tdataproductitem[".isUseTimeForSearch"] = false;


$tdataproductitem[".badgeColor"] = "D2691E";


$tdataproductitem[".allSearchFields"] = array();
$tdataproductitem[".filterFields"] = array();
$tdataproductitem[".requiredSearchFields"] = array();

$tdataproductitem[".googleLikeFields"] = array();
$tdataproductitem[".googleLikeFields"][] = "ProductID";
$tdataproductitem[".googleLikeFields"][] = "CateID";
$tdataproductitem[".googleLikeFields"][] = "Proname";
$tdataproductitem[".googleLikeFields"][] = "Unitname";
$tdataproductitem[".googleLikeFields"][] = "Price";
$tdataproductitem[".googleLikeFields"][] = "isuse";



$tdataproductitem[".tableType"] = "list";

$tdataproductitem[".printerPageOrientation"] = 0;
$tdataproductitem[".nPrinterPageScale"] = 100;

$tdataproductitem[".nPrinterSplitRecords"] = 40;

$tdataproductitem[".geocodingEnabled"] = false;










$tdataproductitem[".pageSize"] = 20;

$tdataproductitem[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataproductitem[".strOrderBy"] = $tstrOrderBy;

$tdataproductitem[".orderindexes"] = array();


$tdataproductitem[".sqlHead"] = "SELECT ProductID,  	CateID,  	Proname,  	Unitname,  	Price,  	isuse";
$tdataproductitem[".sqlFrom"] = "FROM productitem";
$tdataproductitem[".sqlWhereExpr"] = "";
$tdataproductitem[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataproductitem[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataproductitem[".arrGroupsPerPage"] = $arrGPP;

$tdataproductitem[".highlightSearchResults"] = true;

$tableKeysproductitem = array();
$tableKeysproductitem[] = "ProductID";
$tdataproductitem[".Keys"] = $tableKeysproductitem;


$tdataproductitem[".hideMobileList"] = array();




//	ProductID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ProductID";
	$fdata["GoodName"] = "ProductID";
	$fdata["ownerTable"] = "productitem";
	$fdata["Label"] = GetFieldLabel("productitem","ProductID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ProductID";

		$fdata["sourceSingle"] = "ProductID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ProductID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproductitem["ProductID"] = $fdata;
		$tdataproductitem[".searchableFields"][] = "ProductID";
//	CateID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CateID";
	$fdata["GoodName"] = "CateID";
	$fdata["ownerTable"] = "productitem";
	$fdata["Label"] = GetFieldLabel("productitem","CateID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "CateID";

		$fdata["sourceSingle"] = "CateID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CateID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "category";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CateID";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "CateName";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproductitem["CateID"] = $fdata;
		$tdataproductitem[".searchableFields"][] = "CateID";
//	Proname
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Proname";
	$fdata["GoodName"] = "Proname";
	$fdata["ownerTable"] = "productitem";
	$fdata["Label"] = GetFieldLabel("productitem","Proname");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Proname";

		$fdata["sourceSingle"] = "Proname";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Proname";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproductitem["Proname"] = $fdata;
		$tdataproductitem[".searchableFields"][] = "Proname";
//	Unitname
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Unitname";
	$fdata["GoodName"] = "Unitname";
	$fdata["ownerTable"] = "productitem";
	$fdata["Label"] = GetFieldLabel("productitem","Unitname");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Unitname";

		$fdata["sourceSingle"] = "Unitname";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Unitname";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproductitem["Unitname"] = $fdata;
		$tdataproductitem[".searchableFields"][] = "Unitname";
//	Price
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Price";
	$fdata["GoodName"] = "Price";
	$fdata["ownerTable"] = "productitem";
	$fdata["Label"] = GetFieldLabel("productitem","Price");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Price";

		$fdata["sourceSingle"] = "Price";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Price";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproductitem["Price"] = $fdata;
		$tdataproductitem[".searchableFields"][] = "Price";
//	isuse
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "isuse";
	$fdata["GoodName"] = "isuse";
	$fdata["ownerTable"] = "productitem";
	$fdata["Label"] = GetFieldLabel("productitem","isuse");
	$fdata["FieldType"] = 16;


	
	
			

		$fdata["strField"] = "isuse";

		$fdata["sourceSingle"] = "isuse";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "isuse";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproductitem["isuse"] = $fdata;
		$tdataproductitem[".searchableFields"][] = "isuse";


$tables_data["productitem"]=&$tdataproductitem;
$field_labels["productitem"] = &$fieldLabelsproductitem;
$fieldToolTips["productitem"] = &$fieldToolTipsproductitem;
$placeHolders["productitem"] = &$placeHoldersproductitem;
$page_titles["productitem"] = &$pageTitlesproductitem;


changeTextControlsToDate( "productitem" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["productitem"] = array();
//	stockindetail
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="stockindetail";
		$detailsParam["dOriginalTable"] = "stockindetail";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "stockindetail";
	$detailsParam["dCaptionTable"] = GetTableCaption("stockindetail");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["productitem"][$dIndex] = $detailsParam;

	
		$detailsTablesData["productitem"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["productitem"][$dIndex]["masterKeys"][]="ProductID";

				$detailsTablesData["productitem"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["productitem"][$dIndex]["detailKeys"][]="ProductID";
//	stockoutdetail
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="stockoutdetail";
		$detailsParam["dOriginalTable"] = "stockoutdetail";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "stockoutdetail";
	$detailsParam["dCaptionTable"] = GetTableCaption("stockoutdetail");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["productitem"][$dIndex] = $detailsParam;

	
		$detailsTablesData["productitem"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["productitem"][$dIndex]["masterKeys"][]="ProductID";

				$detailsTablesData["productitem"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["productitem"][$dIndex]["detailKeys"][]="ProductID";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["productitem"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="category";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="category";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "category";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["productitem"][0] = $masterParams;
				$masterTablesData["productitem"][0]["masterKeys"] = array();
	$masterTablesData["productitem"][0]["masterKeys"][]="CateID";
				$masterTablesData["productitem"][0]["detailKeys"] = array();
	$masterTablesData["productitem"][0]["detailKeys"][]="CateID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_productitem()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ProductID,  	CateID,  	Proname,  	Unitname,  	Price,  	isuse";
$proto0["m_strFrom"] = "FROM productitem";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ProductID",
	"m_strTable" => "productitem",
	"m_srcTableName" => "productitem"
));

$proto6["m_sql"] = "ProductID";
$proto6["m_srcTableName"] = "productitem";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CateID",
	"m_strTable" => "productitem",
	"m_srcTableName" => "productitem"
));

$proto8["m_sql"] = "CateID";
$proto8["m_srcTableName"] = "productitem";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Proname",
	"m_strTable" => "productitem",
	"m_srcTableName" => "productitem"
));

$proto10["m_sql"] = "Proname";
$proto10["m_srcTableName"] = "productitem";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Unitname",
	"m_strTable" => "productitem",
	"m_srcTableName" => "productitem"
));

$proto12["m_sql"] = "Unitname";
$proto12["m_srcTableName"] = "productitem";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Price",
	"m_strTable" => "productitem",
	"m_srcTableName" => "productitem"
));

$proto14["m_sql"] = "Price";
$proto14["m_srcTableName"] = "productitem";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "isuse",
	"m_strTable" => "productitem",
	"m_srcTableName" => "productitem"
));

$proto16["m_sql"] = "isuse";
$proto16["m_srcTableName"] = "productitem";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "productitem";
$proto19["m_srcTableName"] = "productitem";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "ProductID";
$proto19["m_columns"][] = "CateID";
$proto19["m_columns"][] = "Proname";
$proto19["m_columns"][] = "Unitname";
$proto19["m_columns"][] = "Price";
$proto19["m_columns"][] = "isuse";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "productitem";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "productitem";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="productitem";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_productitem = createSqlQuery_productitem();


	
		;

						

$tdataproductitem[".sqlquery"] = $queryData_productitem;



$tdataproductitem[".hasEvents"] = false;

?>